Package ch.qos.logback.classic.jul

# Class LevelChangePropagator

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.classic.jul.LevelChangePropagator

All Implemented Interfaces:
  `LoggerContextListener`, `ContextAware`, `LifeCycle`

public class LevelChangePropagator extends ContextAwareBase implements LoggerContextListener, LifeCycle
Propagate level changes made to a logback logger into the equivalent logger in j.u.l.

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`LevelChangePropagator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isResetResistant()`
Some listeners should not be removed when the LoggerContext is reset.
`boolean`
`isStarted()`
`void`
`onLevelChange(Logger logger, Level level)`
`void`
`onReset(LoggerContext context)`
`void`
`onStart(LoggerContext context)`
`void`
`onStop(LoggerContext context)`
`void`
`resetJULLevels()`
`void`
`setResetJUL(boolean resetJUL)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LevelChangePropagator

public LevelChangePropagator()

## Method Details

### setResetJUL

public void setResetJUL(boolean resetJUL)

### isResetResistant

public boolean isResetResistant()
Description copied from interface: `LoggerContextListener`
Some listeners should not be removed when the LoggerContext is reset. Such listeners are said to be reset resistant.

Specified by:
  `isResetResistant` in interface `LoggerContextListener`
Returns:
  whether this listener is reset resistant or not.

### onStart

public void onStart(LoggerContext context)

Specified by:
  `onStart` in interface `LoggerContextListener`

### onReset

public void onReset(LoggerContext context)

Specified by:
  `onReset` in interface `LoggerContextListener`

### onStop

public void onStop(LoggerContext context)

Specified by:
  `onStop` in interface `LoggerContextListener`

### onLevelChange

public void onLevelChange(Logger logger, Level level)

Specified by:
  `onLevelChange` in interface `LoggerContextListener`

### resetJULLevels

public void resetJULLevels()

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`

### stop

public void stop()

Specified by:
  `stop` in interface `LifeCycle`

### isStarted

public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`